## cxxheaderparser 1.3.1

=== docs/requirements.txt ===
sphinx >= 3.0
sphinx-rtd-theme
sphinx-autodoc-typehints
pcpp

=== tests/requirements.txt ===
pytest
pcpp~=1.30

=== debian/changelog ===
cxxheaderparser (1.3.1-1) unstable; urgency=medium

  * Upload to unstable.

 -- Christian Kastner <ckk@debian.org>  Sat, 24 Feb 2024 18:14:52 +0100

cxxheaderparser (1.3.1-1~exp1) experimental; urgency=medium

  * Initial release. Closes: #1064070

 -- Christian Kastner <ckk@debian.org>  Sun, 18 Feb 2024 19:20:54 +0100

=== debian/control ===
Source: cxxheaderparser
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Christian Kastner <ckk@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-all,
               python3-pytest,
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-autodoc-typehints <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/robotpy/cxxheaderparser
Vcs-Git: https://salsa.debian.org/python-team/packages/cxxheaderparser.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/cxxheaderparser

Package: python3-cxxheaderparser
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${python3:Depends},
Description: pure Python C++ header parser
 The cxxheaderparser library is used to parse syntactically valid C++
 code and operate on the results. It provides both a visitor-style
 interface to process the results as they are being parsed or the option
 of a single data structure containing all parsed information.
 .
 This is a complete rewrite of the CppHeaderParser library.
 .
 This package contains the library.

Package: python-cxxheaderparser-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Description: pure Python C++ header parser - documentation
 The cxxheaderparser library is used to parse syntactically valid C++
 code and operate on the results. It provides both a visitor-style
 interface to process the results as they are being parsed or the option
 of a single data structure containing all parsed information.
 .
 This is a complete rewrite of the CppHeaderParser library.
 .
 This package contains the library documentation.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# For DEB_VERSION_UPSTREAM
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=cxxheaderparser

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

#  Some targets choke if version.py doesn't exist, and it only gets created if
#  a .git  dir is present
create_version_file:
	echo "# Autogenerated by debian/rules" > cxxheaderparser/version.py
	echo "__version__ = '$(DEB_VERSION_UPSTREAM)'" >> cxxheaderparser/version.py

execute_before_dh_auto_configure: create_version_file
	:

# This should be execute_after_dh_auto_build, but that fails because the
# module cannot be found. I'll figure that out in the next upload
override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) \
		http_proxy='http://127.0.0.1:9' \
		https_proxy='https://127.0.0.1:9' \
		sphinx-build -b html docs html
endif
	dh_installdocs --package=python-cxxheaderparser-doc --doc-main-package=python3-cxxheaderparser
	dh_installdocs --remaining-packages


execute_before_dh_auto_clean: create_version_file
	:

execute_after_dh_auto_clean:
	rm -f cxxheaderparser/version.py
	rm -rf cxxheaderparser.egg-info/
	rm -rf html

=== debian/tests/control ===
Tests: upstream-tests
Depends: python3-all, python3-cxxheaderparser, python3-pytest,

=== debian/watch ===
version=4

opts="filenamemangle=s/.+\/(\d\S*)\.tar\.gz/cxxheaderparser-$1\.tar\.gz/" \
  https://github.com/robotpy/cxxheaderparser/tags .*/(\d\S*)\.tar\.gz
